### Function

# Qmi MessageWdsGetCurrentSettingsInput new

since: 1.0

#### Declaration [src]

    QmiMessageWdsGetCurrentSettingsInput*
    qmi_message_wds_get_current_settings_input_new (
      void
    )

#### Description [src]

Allocates a new `QmiMessageWdsGetCurrentSettingsInput`.

Available since: 1.0

#### Return value

Type: `QmiMessageWdsGetCurrentSettingsInput`

The newly created `QmiMessageWdsGetCurrentSettingsInput`. The returned value should be freed with qmi_message_wds_get_current_settings_input_unref().

The caller of the function takes ownership of the data, and is responsible for freeing it.